org.h2gis.functions.spatial.operators

## Class ST_ConvexHull

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.operators.ST_ConvexHull

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_ConvexHull
    extends org.h2gis.api.DeterministicScalarFunction

Computes the smallest convex POLYGON that contains all the points in the Geometry.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_ConvexHull()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `convexHull(org.locationtech.jts.geom.Geometry geometry)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_ConvexHull

    public ST_ConvexHull()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### convexHull

    public static org.locationtech.jts.geom.Geometry convexHull(org.locationtech.jts.geom.Geometry geometry)

Parameters:
  `geometry` -
Returns:
  smallest convex Polygon that contains all the points in the Geometry